Skip to main content
POST
/
surveys
/
clone-from-theme
Clone Survey from Theme
curl --request POST \
  --url https://services.leadconnectorhq.com/surveys/clone-from-theme \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "surveyId": "64abc123def456789012345",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "Test 33"
}
'
{
  "statusCode": 400,
  "message": "Bad Request"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
surveyId
string
required

The ID of the category survey to clone from

Example:

"64abc123def456789012345"

locationId
string
required

The location ID where the survey will be created

Example:

"ve9EPM428h8vShlRW1KT"

name
string
required

Custom name for the cloned survey

Example:

"Test 33"

Response

Survey successfully cloned from theme

Last modified on March 4, 2026